org.jbpm.services.task.impl.model

## Class ContentImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.ContentImpl

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.api.task.model.Content, org.kie.internal.task.api.model.InternalContent

      @Entity
      public class ContentImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalContent

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentImpl()`
    `ContentImpl(byte[] content)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `byte[]` | `getContent()`
    `Long` | `getId()`
    `int` | `hashCode()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setContent(byte[] content)`
    `void` | `setId(long id)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentImpl

          public ContentImpl()

    - #### ContentImpl

          public ContentImpl(byte[] content)

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Content`

    - #### setId

          public void setId(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.InternalContent`

    - #### getContent

          public byte[] getContent()

      Specified by:
        `getContent` in interface `org.kie.api.task.model.Content`

    - #### setContent

          public void setContent(byte[] content)

      Specified by:
        `setContent` in interface `org.kie.internal.task.api.model.InternalContent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.